/*
 *  Copyright (C) 2007 Rob Cliff.  All Rights Reserved.
 *  Copyright (C) 2007 Savage Minds Ltd.  All Rights Reserved.
 *
 *  This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 *  USA.
 */

#ifndef VNCVIEWERAPPUI_H
#define VNCVIEWERAPPUI_H

#include <aknviewappui.h>

class CVNCViewerSettingsView;
class CVNCViewerVNCView;

/**
This class represents the application UI in VNC application,
It has responsibility to create the view.
*/
class CVNCViewerAppUi : public CAknViewAppUi
    {
public:
	// from CAknViewAppUi
	void ConstructL();
	virtual ~CVNCViewerAppUi();
	
	void HandleForegroundEventL(TBool aForeground);
	void HandleResourceChangeL(TInt aType);	
	void HandleCommandL(TInt aCommand);
	void SetActiveView(TUid aUid);

private:
	CVNCViewerSettingsView* 	iVncViewerSettingsView;
	CVNCViewerVNCView* 			iVncViewerVNCView;
	TUid						iActiveViewUid;
	};



#endif // VNCVIEWERAPPUI_H
