/*
 *  Copyright (C) 2007 Rob Cliff.  All Rights Reserved.
 *  Copyright (C) 2007 Savage Minds Ltd.  All Rights Reserved.
 *
 *  This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 *  USA.
 */


#ifndef VNCPASSWORDDIALOG_H
#define VNCPASSWORDDIALOG_H

#include <QikSimpleDialog.h>

/**
Simple dialog that is used as an password dialog that presents a secret editor.
*/
class CVNCPasswordDialog : public CQikSimpleDialog
    {
public:
	static TInt RunDlgLD(TDes& aPassword);
	virtual	~CVNCPasswordDialog();
	void HandleCommandL(CQikCommand& aCommand);
	void HandleControlEventL(CCoeControl *aControl, TCoeEvent aEventType);
	TCoeInputCapabilities InputCapabilities() const;

private:
	CVNCPasswordDialog(TDes& aPassword);
	void ConstructL();
	
private:
	/** Reference to the command manager that are used to change commands with. */
	CQikCommandManager& iCmdManager;
	
	/** Reference to the password descriptor */
	TDes& iPassword;
	};

#endif // VNCPASSWORDDIALOG_H
