/*
 *  Copyright (C) 2007 Rob Cliff.  All Rights Reserved.
 *  Copyright (C) 2007 Savage Minds Ltd.  All Rights Reserved.
 *
 *  This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 *  USA.
 */


#ifndef VNCSENDTEXTDIALOG_H
#define VNCSENDTEXTDIALOG_H

#include <eikdialg.h>

/**
Callback class when the text is complete
*/
class MSendText 
	{
public:
	virtual void SendTextL(TInt aCmd, const TDesC& aText) = 0;	
	};
	
/**
Simple dialog that is used as for text entry to send to the server
*/
class CVNCSendTextDialog : public CEikDialog
    {
public:
	static CVNCSendTextDialog* NewL(TRequestStatus& aStatus, HBufC*& aText);
	virtual ~CVNCSendTextDialog();
	TBool OkToExitL(TInt aCommandId);
	TCoeInputCapabilities InputCapabilities() const;
	
	void Cancel();
	
private:
	CVNCSendTextDialog(TRequestStatus& aStatus, HBufC*& aText);
	void ConstructL();
	
private:
	/** Reference to the command manager that are used to change commands with. */
	TRequestStatus&		iStatus;
	HBufC*&				iText;
	};

/**
Active object to handle the send text dialog
*/
class CSendTextActive : public CActive
	{
public:
	static CSendTextActive* NewL(MSendText &aSendText);
	virtual ~CSendTextActive();
	
private:
	CSendTextActive(MSendText &aSendText);
	void ConstructL();
	
	void RunL();
	void DoCancel();
	
private:
	MSendText& 				iSendText;
	CVNCSendTextDialog*		iDialog;
	HBufC*					iText;
	};

#endif // VNCSENDTEXTDIALOG_H
