/*
 *  Copyright (C) 2007 Rob Cliff.  All Rights Reserved.
 *  Copyright (C) 2007 Savage Minds Ltd.  All Rights Reserved.
 *
 *  This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 *  USA.
 */

/*
 * x11Parsers.h - Parse for command line options
 */

#ifndef __X11Parsers_H__
#define __X11Parsers_H__

// Includes
#include "x11.h"
#include <e32base.h>
#include "x11nvpair.h"
	
/*
 * Class to parse the command line options
 */	
class COptionParser
	{
public:
	static COptionParser* NewL();
	virtual ~COptionParser();

	TBool ParseArgumentL(Cardinal aNumOptions, const XrmOptionDescList aRecords, const TDesC8& aOption);
	void UpdateResourceL(const XtResource& aResource, void* aPtr);
		
private:
	COptionParser();
	void ConstructL();
	
private:
	RPointerArray<CNVPairDes>	iOptions;
	XrmOptionKind				iLastArgKind;
	};


#endif // __X11Parsers_H__
